libetonyek::IWORKFieldElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKFieldElement Class Reference

`#include <IWORKFieldElement.h>`

Inheritance diagram for libetonyek::IWORKFieldElement:

## Public Member Functions
| IWORKFieldElement (IWORKXMLParserState &state, IWORKFieldType type)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextMixed, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | text (const char *value) override
| Process textual content of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextMixed, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextMixed
| IWORKXMLContextMixed (IWORKXMLParserState &)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
IWORKFieldType | m_type
boost::optional< unsigned > | m_value
boost::optional< std::string > | m_val

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextMixed, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKFieldElement()

libetonyek::IWORKFieldElement::IWORKFieldElement | ( | IWORKXMLParserState & | state,
|  | IWORKFieldType | type )

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKFieldElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprotectedvirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKFieldElement::element | ( | int | name | ) |
| overrideprotectedvirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKFieldElement::endOfElement | ( |  | ) |
| overrideprotectedvirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## ◆ text()

void libetonyek::IWORKFieldElement::text | ( | const char * | value | ) |
| overrideprotectedvirtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_type

IWORKFieldType libetonyek::IWORKFieldElement::m_type
| private

Referenced by element(), endOfElement(), IWORKFieldElement(), and text().

## ◆ m_val

boost::optional<std::string> libetonyek::IWORKFieldElement::m_val
| private

Referenced by attribute(), and IWORKFieldElement().

## ◆ m_value

boost::optional<unsigned> libetonyek::IWORKFieldElement::m_value
| private

Referenced by attribute(), and IWORKFieldElement().

The documentation for this class was generated from the following files:

- IWORKFieldElement.h
- IWORKFieldElement.cpp